<?php 
class Royaumes {

	private $bdd;
	private $json;
	
	public function __construct($bdd, $json)
	{
		$this->bdd = $bdd;
		$this->json = $json;
	}

	public function getRoyaumes()
	{
		$req = $this->bdd->query('SELECT * FROM cmw_royaumes');
		$i = 0;
		while($data = $req->fetch())
		{
			$royaume[$i]['nom'] = $data['nom'];
			$royaume[$i]['roi'] = $data['roi'];
			$royaume[$i]['p_militaire'] = $data['p_militaire'];
			$royaume[$i]['p_eco'] = $data['p_eco'];
			$royaume[$i]['p_agricole'] = $data['p_agricole'];
			$royaume[$i]['p_industrielle'] = $data['p_industrielle'];
			$royaume[$i]['p_politique'] = $data['p_politique'];
			$royaume[$i]['impots'] = $data['impots'];
			$royaume[$i]['p_mondiale'] = $data['p_politique'] + $data['p_industrielle'] + $data['p_agricole'] + $data['p_eco'] + $data['p_militaire'];
			$royaume[$i]['argent'] = $this->getMoney($data['id']);
			$i++;
		}
		return $royaume;
	}

	private function getMoney($id)
	{
		$req = $this->bdd->prepare('SELECT nom FROM cmw_royaumes WHERE id = :id');
		$req->execute(array(
			'id' => $id));
		$data = $req->fetch();
		$nom = $data['nom'];
		$this->json->runConsoleCommand('f money bal '.$nom);
		$return = $this->json->GetConsole();
		foreach ($return['Test'] as $key => $value)
		{
			if(preg_match('#balance is#isU', $return['Test'][$key]['line']))
			{
				$balArray = explode('is', $return['Test'][$key]['line']);
				$bal = $balArray[1];
				$bal = substr($bal, 2, -2);
			}
		}
		$bal = str_replace(',', ' ', $bal);
		$balArray = explode('.', $bal);
		$bal = $balArray[0];
		return $bal;
	}
}
?>